class PersistentFileHandle(file):
  """ This class is identical to a normal file handle as created by open,
      except that it can reopen files. This is mainly used to temporarily
      close files in order to rename them. """
      
  def __init__(self, filename, mode = "r", bufsize = -1):
    self.filename  = filename
    self.open_mode = mode
    self.bufsize   = bufsize
    self.open()
    
  def open(self):
    if (self.closed):
      file.__init__(self, self.filename, self.open_mode, self.bufsize)
